cURL
curl --request GET \ --url https://api.example.com/api/v1/users/{user_id}/summaries/activity \ --header 'Authorization: Bearer <token>'
{ "data": [ { "date": "2023-12-25", "source": { "provider": "apple_health", "device": "Apple Watch Series 9" }, "steps": 8432, "distance_meters": 6240.5, "floors_climbed": 12, "elevation_meters": 36, "active_calories_kcal": 342.5, "total_calories_kcal": 2150, "active_minutes": 60, "sedentary_minutes": 480, "intensity_minutes": { "light": 123, "moderate": 123, "vigorous": 123 }, "heart_rate": { "avg_bpm": 123, "max_bpm": 123, "min_bpm": 123 } } ], "pagination": { "has_more": true, "next_cursor": "eyJpZCI6IjEyMzQ1Njc4OTAiLCJ0cyI6MTcwNDA2NzIwMH0", "previous_cursor": "<string>", "total_count": 150 }, "metadata": { "resolution": "raw", "sample_count": 123, "start_time": "2023-11-07T05:31:56Z", "end_time": "2023-11-07T05:31:56Z" } }
Returns daily aggregated activity metrics.
Aggregates time-series data (steps, energy, heart rate, etc.) by day.
The access token received from the authorization server in the OAuth 2.0 flow.
1 <= x <= 400
^(asc|desc)$
Successful Response
Show child attributes
Was this page helpful?